function player(host, superUrl, highUrl, standardUrl, fluentUrl, width, height, title, sourceType, duration, mediaType, playerDivId, resumeTime, id,cover) {
    //flashvars.url='clip://j:{"duration":207,"title":"游希腊","host":"http://172.29.4.95:3188/media/mp3/","sourceType":"mp4","urls":["cat.mp3","silence.mp3","breathe.mp3","angle.mp3"],"formats":["超清","高清","标清","流畅"]}';
    var urls = [];
    var formats = [];
    if (superUrl != null && superUrl != "") {
        urls.push(superUrl);
        formats.push("超清");

    }
    if (highUrl != null && highUrl != "") {
        urls.push(highUrl);
        formats.push("高清");

    }

    if (standardUrl != null && standardUrl != "") {
        urls.push(standardUrl);
        formats.push("标清");

    }
    if (fluentUrl != null && fluentUrl != "") {
        urls.push(fluentUrl);
        formats.push("流畅");

    }
    var urlObj = {
        "duration": duration,
        "title": title,
        "host": host,
        "sourceType": sourceType,
        "urls": urls,
        "formats": formats
    };

    var url = 'clip://j:' + JSON.stringify(urlObj);
    var domainName = window.location.protocol + "//" + window.location.host;
    if (window.location.href.indexOf("/"))
        domainName += "/";
    var flashvars = {
        width: width,
        height: height,
        defaultType: 'h5'
    };
    flashvars.mediaType = mediaType;//5点播
    flashvars.autoPlay = false;
    flashvars.playerMode = 'gxtv-series';
    flashvars.mediaId = id;
    flashvars.exparam = "siteId=909&channelId=f894e229028b4b7e80e5047ddd7a2715";
    flashvars.staticParams = "{'Dimension':'mobile'}";
    flashvars.url = url;
    // flashvars.profile = "http://wjtest.sobeycloud.com/vms/site/kfcs/media/playerJson/liveChannel/f5a21d91f0ad481b870103143e2bab17_PlayerParamProfile.json";
    flashvars.fileHost = "cmcMediaPlayer/";
    if (resumeTime != null && resumeTime != "") {
        flashvars.resumeTime = resumeTime;
    }
    if(cover !=null && cover !=""){
        flashvars.cover = cover;
    }
    var cmcMediaPlayer = new CmcMediaPlayer(playerDivId, flashvars);
    window.playCmcPlayerObj = cmcMediaPlayer;
    return cmcMediaPlayer;
}


function playerAudio(host, superUrl, highUrl, standardUrl, fluentUrl, title, id, logo, playerDivId, fn) {

    //拼接播放url
    var palyUrl = "";
    if (fluentUrl != null && fluentUrl !== "") {
        palyUrl = fluentUrl;
    } else if (standardUrl != null && standardUrl !== "") {
        palyUrl = standardUrl;
    } else if (highUrl != null && highUrl !== "") {
        palyUrl = highUrl;
    } else if (superUrl != null && superUrl !== "") {
        palyUrl = superUrl;
    }

    if (palyUrl.indexOf(host) == -1) {
        palyUrl = host + palyUrl;
    }
    var flashvars = {
        //播放器静态资源地址
        fileHost: hostRoot + "js/cmcMediaPlayer/",
        //媒体类型，'5'-视频点播，'6'-音频点播，'8'-视频直播，'15'-音频直播
        mediaType: '6',
        //播放器模式  'gxtv-series'- 广西tv音频剧集模式，只在媒体类型为'6'/'15'起作用
        playerMode: 'gxtv-series',
        //媒体id
        mediaId: id,
        //媒体标题
        //title: title,
        title: '',
        //媒体封面图或者logo
        cover: logo,
        //媒体地址
        url: palyUrl,
        /*        //获取剧集上一曲下一曲接口
                getSeriesInfo:getSeriesInfo.bind(this)*/
    };

    if (fn != null && fn !== "") {
        flashvars.getSeriesInfo = fn.bind(this);
    }

    var cmcMediaPlayer = new CmcMediaPlayer(playerDivId, flashvars);
    window.playCmcPlayerObj = cmcMediaPlayer;
    return cmcMediaPlayer;
}


function playerAudioOfArticle(host, superUrl, highUrl, standardUrl, fluentUrl, title, playerDivId) {

    //拼接播放url
    var palyUrl = host;
    if (fluentUrl != null && fluentUrl !== "") {
        if (fluentUrl.includes("http")) {
            palyUrl = fluentUrl;
        } else {
            palyUrl += fluentUrl;
        }
    } else if (standardUrl != null && standardUrl !== "") {
        if (standardUrl.includes("http")) {
            palyUrl = standardUrl;
        } else {
            palyUrl += standardUrl;
        }
    } else if (highUrl != null && highUrl !== "") {
        if (highUrl.includes("http")) {
            palyUrl = highUrl;
        } else {
            palyUrl += highUrl;
        }
    } else if (superUrl != null && superUrl !== "") {
        if (superUrl.includes("http")) {
            palyUrl = superUrl;
        } else {
            palyUrl += superUrl;
        }
    }

    var flashvars = {
        //播放器静态资源地址
        fileHost: hostRoot + "js/cmcMediaPlayer/",
        //媒体类型，'5'-视频点播，'6'-音频点播，'8'-视频直播，'15'-音频直播
        mediaType: '6',
        //播放器模式  'gxtv-series'- 广西tv音频剧集模式，只在媒体类型为'6'/'15'起作用
        //playerMode: 'gxtv', src/main/resources/static/images/articleVidoeLogo.png
        //媒体标题
        title: title,
        //媒体地址
        url: palyUrl,
        //logo
        cover: hostRoot + "/images/articleVidoeLogo.png"
    };

    var cmcMediaPlayer = new CmcMediaPlayer(playerDivId, flashvars);
    window.playCmcPlayerObj = cmcMediaPlayer;
    return cmcMediaPlayer;
}